File: stylesheet-dark.css

package info (click to toggle)
gnome-shell-extensions 49.0-4
  • links: PTS, VCS
  • area: main
  • in suites: forky, sid
  • size: 2,336 kB
  • sloc: javascript: 4,804; xml: 132; python: 43; sh: 38; makefile: 6
file content (119 lines) | stat: -rw-r--r-- 2,271 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
/*
 * SPDX-FileCopyrightText: 2012 Florian Müllner <fmuellner@gnome.org>
 * SPDX-FileCopyrightText: 2013 Giovanni Campagna <gcampagna@src.gnome.org>
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 */
@import url("stylesheet-workspace-switcher-dark.css");

.window-list-workspace-indicator.previews {
  -natural-hpadding: 0 !important;
  -minimum-hpadding: 0 !important;
}

.window-list {
  spacing: 2px;
  font-size: 10pt;
}

.bottom-panel {
  background-color: #000000;
  border-top-width: 0px;
  height: 2.45em;
}

.window-button,
.window-button-drag-actor {
  padding: 4px, 3px;
}

.window-button-drag-actor {
  background-color: #444;
  border-radius: 7px;
  border-width: 2px;
  border-color: #fff;
  box-shadow: 0 1px 2px rgba(0,0,0,0.1);
}

.window-button:first-child:ltr {
  padding-left: 2px;
}

.window-button:last-child:rtl {
  padding-right: 2px;
}

.window-button-box {
  spacing: 4px;
}

.window-button > StWidget {
  color: #fff;
  background-color: transparent;
  border-radius: 4px;
  padding: 3px 6px 1px;
  transition: 100ms ease;
}

.window-button > StWidget,
.window-list .placeholder {
  -st-natural-width: 18.75em;
  max-width: 18.75em;
}

.window-list .placeholder {
  border: 1px solid rgba(255,255,255,0.4);
  border-radius: 7px;
  margin: 4px;
}

.window-button:hover > StWidget {
  background-color: #303030;
}

.window-button:active > StWidget,
.window-button:focus > StWidget {
  background-color: st-lighten(#303030, 5%);
}

.window-button.focused > StWidget {
  background-color: #5b5b5b;
}

  .window-button.focused:hover > StWidget {
    background-color: st-lighten(#5b5b5b, 5%);
  }

  .window-button.focused:active > StWidget {
    background-color: st-lighten(#5b5b5b, 10%);
  }

.window-button.minimized > StWidget {
  color: #666;
  background-color: #161616;
}

.window-button.minimized:active > StWidget {
  color: #666;
  background-color: #161616;
}

.window-button-icon {
  width: 24px;
  height: 24px;
}

.window-button-abstract-label {
  background-color: #888;
  border-radius: 99px;
  margin: 6px;
}

.window-button-attention-indicator {
  background-color: -st-accent-color;
  height: 2px;
}

.window-button.minimized .window-button-attention-indicator {
  background-color: st-transparentize(-st-accent-color, 0.4);
}